Ogre::OSXCocoaContext Class Reference

`#include <OgreOSXCocoaContext.h>`

Inheritance diagram for Ogre::OSXCocoaContext:
[legend]

List of all members.

## Public Member Functions

| OSXCocoaContext (NSOpenGLContext *context, NSOpenGLPixelFormat *pixelFormat)
virtual | ~OSXCocoaContext ()
virtual void | setCurrent ()
| See GLContext.
virtual void | endCurrent ()
| This is called before another context is made current.
virtual GLContext * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
virtual String | getContextType ()
| Return value will be "NSOpenGL".
NSOpenGLContext * | getContext ()
| Grab the NSOpenGLContext if it exists.
NSOpenGLPixelFormat * | getPixelFormat ()
| Grab the NSOpenGLPixelFormat if it exists.
bool | getInitialized ()
void | setInitialized ()
virtual void | releaseContext ()
| Release the render context.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Member Functions

void | _unregisterContext ()
| Must be called from destructor of final descendant.

## Protected Attributes

bool | initialized

## Private Attributes

NSOpenGLContext * | mNSGLContext
NSOpenGLPixelFormat * | mNSGLPixelFormat

## Detailed Description

Definition at line 36 of file OgreOSXCocoaContext.h.

## Constructor & Destructor Documentation

Ogre::OSXCocoaContext::OSXCocoaContext | ( | NSOpenGLContext * | context,
|  | NSOpenGLPixelFormat * | pixelFormat
| ) |  |

virtual Ogre::OSXCocoaContext::~OSXCocoaContext | ( |  | ) | `[virtual]`

## Member Function Documentation

void Ogre::OSXContext::_unregisterContext | ( |  | ) | `[protected, inherited]`

Must be called from destructor of final descendant.

virtual GLContext* Ogre::OSXCocoaContext::clone | ( |  | ) | const`[virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implements Ogre::OSXContext.

virtual void Ogre::OSXCocoaContext::endCurrent | ( |  | ) | `[virtual]`

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::OSXContext.

NSOpenGLContext* Ogre::OSXCocoaContext::getContext | ( |  | ) |

Grab the NSOpenGLContext if it exists.

virtual String Ogre::OSXCocoaContext::getContextType | ( |  | ) | `[virtual]`

Return value will be "NSOpenGL".

Implements Ogre::OSXContext.

bool Ogre::GLContext::getInitialized | ( |  | ) | `[inherited]`

Definition at line 57 of file OgreGLContext.h.

NSOpenGLPixelFormat* Ogre::OSXCocoaContext::getPixelFormat | ( |  | ) |

Grab the NSOpenGLPixelFormat if it exists.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

virtual void Ogre::GLContext::releaseContext | ( |  | ) | `[virtual, inherited]`

Release the render context.

Reimplemented in Ogre::Win32Context.

Definition at line 69 of file OgreGLContext.h.

virtual void Ogre::OSXCocoaContext::setCurrent | ( |  | ) | `[virtual]`

See GLContext.

Implements Ogre::OSXContext.

void Ogre::GLContext::setInitialized | ( |  | ) | `[inherited]`

Definition at line 58 of file OgreGLContext.h.

## Member Data Documentation

bool Ogre::GLContext::initialized`[protected, inherited]`

Definition at line 71 of file OgreGLContext.h.

NSOpenGLContext* Ogre::OSXCocoaContext::mNSGLContext`[private]`

Definition at line 67 of file OgreOSXCocoaContext.h.

NSOpenGLPixelFormat* Ogre::OSXCocoaContext::mNSGLPixelFormat`[private]`

Definition at line 68 of file OgreOSXCocoaContext.h.

The documentation for this class was generated from the following file:

- OgreOSXCocoaContext.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:54